using SecuritySystemContracts.BindingModels;
using SecuritySystemContracts.SearchModels;
using SecuritySystemContracts.ViewModels;

namespace SecuritySystemContracts.BusinessLogicsContracts
{
    public interface ISecureLogic
    {
        List<SecureViewModel>? ReadList(SecureSearchModel? model);
        SecureViewModel? ReadElement(SecureSearchModel model);
        bool Create(SecureBindingModel model);
        bool Update(SecureBindingModel model);
        bool Delete(SecureBindingModel model);
    }
}
